@echo off
echo CFsetup - initialise Crysfire 2004 configuration for all Windows
echo versions up to Windows/XP (and MSDOS versions from DOS 5)
rem
rem R.Shirley, 6Jul04

rem Try to sense whether we're running on W32 and WinNT/2000/XP,
rem and select target dir accordingly

rem Start by assuming by default that this is DOS or W16
set _Target=C:\DOS

rem Then test whether it's some flavour of W32
if not (%windir%) == () set _Target=%windir%

rem Ensure that we don't try to pick a systemroot dir that doesn't exist
if not exist %SystemRoot%\system32\nul goto copy_files

rem Finally test whether it's XP (or some other member of the NT family)
if (%OS%) == (Windows_NT) set _Target=%SystemRoot%\system32

:copy_files
copy CF_HOME.BAT %_Target% >nul
copy CRYSFIRE.BAT %_Target% >nul
